- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Macros | Enumerations | Functions | Variables
- Ecore_Audio input object
Ecore_Audio - Convenience audio API

## Macros
#define | ECORE_AUDIO_OBJ_IN_CLASS ecore_audio_obj_in_class_get()
| Ecore_Audio input object class.
#define | ECORE_AUDIO_OBJ_IN_ID(sub_id) (ECORE_AUDIO_OBJ_IN_BASE_ID + EO_TYPECHECK(enum Ecore_Audio_Obj_In_Sub_Ids, sub_id))
#define | ecore_audio_obj_in_speed_set(speed) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_SPEED_SET), EO_TYPECHECK(double, speed)
| Set the playback speed of the input. More...
#define | ecore_audio_obj_in_speed_get(speed) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_SPEED_GET), EO_TYPECHECK(double *, speed)
| Get the playback speed of the input. More...
#define | ecore_audio_obj_in_samplerate_set(samplerate) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_SAMPLERATE_SET), EO_TYPECHECK(int, samplerate)
| Set the sample-rate of the input. More...
#define | ecore_audio_obj_in_samplerate_get(samplerate) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_SAMPLERATE_GET), EO_TYPECHECK(int *, samplerate)
| Get the sample-rate of the input. More...
#define | ecore_audio_obj_in_channels_set(channels) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_CHANNELS_SET), EO_TYPECHECK(int, channels)
| Set the amount of channels the input has. More...
#define | ecore_audio_obj_in_channels_get(channels) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_CHANNELS_GET), EO_TYPECHECK(int *, channels)
| Get the amount of channels the input has. More...
#define | ecore_audio_obj_in_preloaded_set(preloaded) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_PRELOADED_SET), EO_TYPECHECK(Eina_Bool, preloaded)
| Set the preloaded state of the input. More...
#define | ecore_audio_obj_in_preloaded_get(preloaded) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_PRELOADED_GET), EO_TYPECHECK(Eina_Bool *, preloaded)
| Get the preloaded state of the input. More...
#define | ecore_audio_obj_in_looped_set(looped) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_LOOPED_SET), EO_TYPECHECK(Eina_Bool, looped)
| Set the looped state of the input. More...
#define | ecore_audio_obj_in_looped_get(ret) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_LOOPED_GET), EO_TYPECHECK(Eina_Bool *, ret)
| Get the looped state of the input. More...
#define | ecore_audio_obj_in_length_set(length) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_LENGTH_SET), EO_TYPECHECK(double, length)
| Set the length of the input. More...
#define | ecore_audio_obj_in_length_get(ret) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_LENGTH_GET), EO_TYPECHECK(double *, ret)
| Get the length of the input. More...
#define | ecore_audio_obj_in_read(buf, len, ret) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_READ), EO_TYPECHECK(void *, buf), EO_TYPECHECK(size_t, len), EO_TYPECHECK(ssize_t *, ret)
| Read from the input. More...
#define | ecore_audio_obj_in_seek(offs, mode, ret) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_SEEK), EO_TYPECHECK(double, offs), EO_TYPECHECK(int, mode), EO_TYPECHECK(double *, ret)
| Seek within the input. More...
#define | ecore_audio_obj_in_output_get(ret) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_OUTPUT_GET), EO_TYPECHECK(Eo **, ret)
| Get the output that this input is attached to. More...
#define | ecore_audio_obj_in_remaining_get(ret) ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_REMAINING_GET), EO_TYPECHECK(double *, ret)
| Get the remaining time of the input. More...
#define | ECORE_AUDIO_EV_IN_LOOPED (&(_ECORE_AUDIO_EV_IN_LOOPED))
| The input looped. More...
#define | ECORE_AUDIO_EV_IN_STOPPED (&(_ECORE_AUDIO_EV_IN_STOPPED))
| The input stopped playing. More...
#define | ECORE_AUDIO_EV_IN_SAMPLERATE_CHANGED (&(_ECORE_AUDIO_EV_IN_SAMPLERATE_CHANGED))
| The sample rate changed. More...

## Enumerations
enum | Ecore_Audio_Obj_In_Sub_Ids { ECORE_AUDIO_OBJ_IN_SUB_ID_SPEED_SET, ECORE_AUDIO_OBJ_IN_SUB_ID_SPEED_GET, ECORE_AUDIO_OBJ_IN_SUB_ID_SAMPLERATE_SET, ECORE_AUDIO_OBJ_IN_SUB_ID_SAMPLERATE_GET, ECORE_AUDIO_OBJ_IN_SUB_ID_CHANNELS_SET, ECORE_AUDIO_OBJ_IN_SUB_ID_CHANNELS_GET, ECORE_AUDIO_OBJ_IN_SUB_ID_PRELOADED_SET, ECORE_AUDIO_OBJ_IN_SUB_ID_PRELOADED_GET, ECORE_AUDIO_OBJ_IN_SUB_ID_LOOPED_SET, ECORE_AUDIO_OBJ_IN_SUB_ID_LOOPED_GET, ECORE_AUDIO_OBJ_IN_SUB_ID_LENGTH_SET, ECORE_AUDIO_OBJ_IN_SUB_ID_LENGTH_GET, ECORE_AUDIO_OBJ_IN_SUB_ID_READ, ECORE_AUDIO_OBJ_IN_SUB_ID_READ_INTERNAL, ECORE_AUDIO_OBJ_IN_SUB_ID_SEEK, ECORE_AUDIO_OBJ_IN_SUB_ID_OUTPUT_GET, ECORE_AUDIO_OBJ_IN_SUB_ID_REMAINING_GET, ECORE_AUDIO_OBJ_IN_SUB_ID_LAST }

## Functions
const Eo_Class * | ecore_audio_obj_in_class_get ()
| Get the Eo class ID. More...

## Variables
EAPI Eo_Op | ECORE_AUDIO_OBJ_IN_BASE_ID
const Eo_Event_Description | _ECORE_AUDIO_EV_IN_LOOPED
const Eo_Event_Description | _ECORE_AUDIO_EV_IN_STOPPED
const Eo_Event_Description | _ECORE_AUDIO_EV_IN_SAMPLERATE_CHANGED

## Detailed Description

## Macro Definition Documentation

#define ecore_audio_obj_in_speed_set | ( |  | speed | ) | ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_SPEED_SET), EO_TYPECHECK(double, speed)

Set the playback speed of the input.

Since
  1.8

Parameters

  [in] | speed | The speed, 1.0 is the default

#define ecore_audio_obj_in_speed_get | ( |  | speed | ) | ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_SPEED_GET), EO_TYPECHECK(double *, speed)

Get the playback speed of the input.

Since
  1.8

This will trigger the ECORE_AUDIO_EV_IN_SAMPLERATE_CHANGED event.

Parameters

  [out] | speed | The speed

#define ecore_audio_obj_in_samplerate_set | ( |  | samplerate | ) | ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_SAMPLERATE_SET), EO_TYPECHECK(int, samplerate)

Set the sample-rate of the input.

Since
  1.8

This will trigger the ECORE_AUDIO_EV_IN_SAMPLERATE_CHANGED event.

Parameters

  [in] | samplerate | The samplerate in Hz

#define ecore_audio_obj_in_samplerate_get | ( |  | samplerate | ) | ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_SAMPLERATE_GET), EO_TYPECHECK(int *, samplerate)

Get the sample-rate of the input.

Since
  1.8

Parameters

  [out] | samplerate | The samplerate in Hz

#define ecore_audio_obj_in_channels_set | ( |  | channels | ) | ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_CHANNELS_SET), EO_TYPECHECK(int, channels)

Set the amount of channels the input has.

Since
  1.8

Parameters

  [in] | channels | The number of channels

#define ecore_audio_obj_in_channels_get | ( |  | channels | ) | ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_CHANNELS_GET), EO_TYPECHECK(int *, channels)

Get the amount of channels the input has.

Since
  1.8

Parameters

  [out] | channels | The number of channels

#define ecore_audio_obj_in_preloaded_set | ( |  | preloaded | ) | ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_PRELOADED_SET), EO_TYPECHECK(Eina_Bool, preloaded)

Set the preloaded state of the input.

Since
  1.8

Parameters

  [in] | preloaded | EINA_TRUE if the input should be cached, EINA_FALSE otherwise

#define ecore_audio_obj_in_preloaded_get | ( |  | preloaded | ) | ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_PRELOADED_GET), EO_TYPECHECK(Eina_Bool *, preloaded)

Get the preloaded state of the input.

Since
  1.8

Parameters

  [out] | preloaded | EINA_TRUE if the input is cached, EINA_FALSE otherwise

#define ecore_audio_obj_in_looped_set | ( |  | looped | ) | ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_LOOPED_SET), EO_TYPECHECK(Eina_Bool, looped)

Set the looped state of the input.

Since
  1.8

If the input is looped and reaches the end it will start from the beginning again. At the same time the event ECORE_AUDIO_EV_IN_LOOPED will be emitted

Parameters

  [in] | looped | EINA_TRUE if the input should be looped, EINA_FALSE otherwise

#define ecore_audio_obj_in_looped_get | ( |  | ret | ) | ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_LOOPED_GET), EO_TYPECHECK(Eina_Bool *, ret)

Get the looped state of the input.

Since
  1.8

See Also
  ecore_audio_obj_in_looped_set

Parameters

  [out] | ret | EINA_TRUE if the input is looped, EINA_FALSE otherwise

#define ecore_audio_obj_in_length_set | ( |  | length | ) | ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_LENGTH_SET), EO_TYPECHECK(double, length)

Set the length of the input.

Since
  1.8

This function is only implemented by some classes (i.e. ECORE_AUDIO_OBJ_IN_TONE_CLASS)

Parameters

  [in] | length | The length of the input in seconds

#define ecore_audio_obj_in_length_get | ( |  | ret | ) | ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_LENGTH_GET), EO_TYPECHECK(double *, ret)

Get the length of the input.

Since
  1.8

Parameters

  [out] | ret | The length of the input in seconds

#define ecore_audio_obj_in_read | ( |  | buf,
|  |  | len,
|  |  | ret
| ) |  | ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_READ), EO_TYPECHECK(void *, buf), EO_TYPECHECK(size_t, len), EO_TYPECHECK(ssize_t *, ret)

Read from the input.

Since
  1.8

Parameters

  [out] | buf | The buffer to read into
  [in] | len | The amount of samples to read
  [out] | ret | The amount of samples written to buf

#define ecore_audio_obj_in_seek | ( |  | offs,
|  |  | mode,
|  |  | ret
| ) |  | ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_SEEK), EO_TYPECHECK(double, offs), EO_TYPECHECK(int, mode), EO_TYPECHECK(double *, ret)

Seek within the input.

Since
  1.8

Parameters

  [in] | offs | The offset in seconds
  [in] | mode | The seek mode. Is absolute with SEEK_SET, relative to the current position with SEEK_CUR and relative to the end with SEEK_END.
  [out] | ret | The current absolute position in seconds within the input

#define ecore_audio_obj_in_output_get | ( |  | ret | ) | ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_OUTPUT_GET), EO_TYPECHECK(Eo **, ret)

Get the output that this input is attached to.

Since
  1.8

Parameters

  [out] | ret | The output

#define ecore_audio_obj_in_remaining_get | ( |  | ret | ) | ECORE_AUDIO_OBJ_IN_ID(ECORE_AUDIO_OBJ_IN_SUB_ID_REMAINING_GET), EO_TYPECHECK(double *, ret)

Get the remaining time of the input.

Parameters

  [out] | ret | The amount of time in seconds left to play

#define ECORE_AUDIO_EV_IN_LOOPED (&(_ECORE_AUDIO_EV_IN_LOOPED))

The input looped.

Since
  1.8

Emitted when ecore_audio_obj_in_looped_set is set to EINA_TRUE and the input restarted playing after reaching the end.

#define ECORE_AUDIO_EV_IN_STOPPED (&(_ECORE_AUDIO_EV_IN_STOPPED))

The input stopped playing.

Since
  1.8

Emitted when the input stopped playing after reaching the end.

#define ECORE_AUDIO_EV_IN_SAMPLERATE_CHANGED (&(_ECORE_AUDIO_EV_IN_SAMPLERATE_CHANGED))

The sample rate changed.

Since
  1.8

Emitted when the samplerate changed - this can happen if you call ecore_audio_obj_in_samplerate_set or ecore_audio_obj_in_speed_set.

## Function Documentation

const Eo_Class* ecore_audio_obj_in_class_get | ( |  | ) |

Get the Eo class ID.

Returns
  The Eo class ID